Package org.silverpeas.components.kmelia

# Class SearchContext

java.lang.Object
org.silverpeas.components.kmelia.SearchContext

All Implemented Interfaces:
  `Serializable`

public class SearchContext extends Object implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `GLOBAL`
  `static final int`
  `LOCAL`
  `static final int`
  `NONE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SearchContext(org.silverpeas.core.index.search.model.QueryDescription queryDescription, org.silverpeas.core.contribution.content.form.PagesContext formContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `applySort(int sort, String contentLanguage)`
  `org.silverpeas.core.contribution.content.form.PagesContext`
  `getFormContext()`
  `org.silverpeas.core.node.model.NodeDetail`
  `getNode()`
  `int`
  `getPaginationIndex()`
  `String`
  `getQuery()`
  `org.silverpeas.core.index.search.model.QueryDescription`
  `getQueryDescription()`
  `List<KmeliaPublication>`
  `getResults()`
  `int`
  `getSortValue()`
  `void`
  `setNode(org.silverpeas.core.node.model.NodeDetail node)`
  `void`
  `setPaginationIndex(int paginationIndex)`
  `void`
  `setResults(List<KmeliaPublication> results)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NONE

    public static final int NONE
    See Also:
      - Constant Field Values

  - ### GLOBAL

    public static final int GLOBAL
    See Also:
      - Constant Field Values

  - ### LOCAL

    public static final int LOCAL
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SearchContext

    public SearchContext(org.silverpeas.core.index.search.model.QueryDescription queryDescription, org.silverpeas.core.contribution.content.form.PagesContext formContext)

- ## Method Details

  - ### getQuery

    public String getQuery()

  - ### getNode

    public org.silverpeas.core.node.model.NodeDetail getNode()

  - ### setNode

    public void setNode(org.silverpeas.core.node.model.NodeDetail node)

  - ### getQueryDescription

    public org.silverpeas.core.index.search.model.QueryDescription getQueryDescription()

  - ### getResults

    public List<KmeliaPublication> getResults()

  - ### setResults

    public void setResults(List<KmeliaPublication> results)

  - ### getPaginationIndex

    public int getPaginationIndex()

  - ### setPaginationIndex

    public void setPaginationIndex(int paginationIndex)

  - ### getFormContext

    public org.silverpeas.core.contribution.content.form.PagesContext getFormContext()

  - ### getSortValue

    public int getSortValue()

  - ### applySort

    public void applySort(int sort, String contentLanguage)